## Function template visit

boost::log::visit

## Synopsis

    // In header: <boost/log/attributes/value_visitation.hpp>

    template<typename T, typename VisitorT>
      visitation_result visit(attribute_value const & value, VisitorT visitor);

## Description

The function applies a visitor to an attribute value. The user has to explicitly specify the type or set of possible types of the attribute value to be visited.

Parameters:

`value` | The attribute value to visit.
`visitor` | A receiving function object to pass the attribute value to.

Returns: | The result of visitation.